com.ihr.xbrl.manage

## Class DatabaseManager

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - com.ihr.xbrl.manage.DatabaseManager

- All Implemented Interfaces:
    DatabaseManagerGUI, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class DatabaseManager
      extends javax.swing.JDialog
      implements DatabaseManagerGUI

  The Class DatabaseManager.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

    - ### Nested classes/interfaces inherited from interface com.ihr.xbrl.database.common.DatabaseManagerGUI

      `DatabaseManagerGUI.DbStatus`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface com.ihr.xbrl.database.common.DatabaseManagerGUI

      `CANCEL, OK`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseManager(RegisterExtraClasses[] registerExtraClasses, DatabaseManagerBase dbmb)` Instantiates a new database manager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseManagerGUI.DbStatus` | `getDatabaseStatus()` Gets the database status, OK indicates database connection was made and database structure has been validated.
    `java.util.Properties` | `getProperties()` Obtains the new Hibernate properties to connect to the XBRL Database.
    `int` | `getStatus()` Gets the dialog status constant.
    `static void` | `main(java.lang.String[] args)` The main method.
    `void` | `setDbStatus(DatabaseManagerBase.DatabaseConfigurationInformationStatus status, boolean databaseAvailable)` Sets the current status of the connection to the database.
    `void` | `setProperties(java.util.Properties props)` Sets the Hibernate properties for the connection to the database.
    `void` | `setVisible()` Sets the dialog visible and waits for user input.
    `void` | `updateAllFields()` Read properties content and update field values.

    - ### Methods inherited from class javax.swing.JDialog

      `getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.database.common.DatabaseManagerGUI

      `setLocation`

- - ### Constructor Detail

    - #### DatabaseManager

          public DatabaseManager(RegisterExtraClasses[] registerExtraClasses,
                         DatabaseManagerBase dbmb)

      Instantiates a new database manager.
      Parameters:
        `registerExtraClasses` - the register extra classes
        `dbmb` - the dbmb

  - ### Method Detail

    - #### updateAllFields

          public void updateAllFields()

      Read properties content and update field values.
      Specified by:
        `updateAllFields` in interface `DatabaseManagerGUI`

    - #### getDatabaseStatus

          public DatabaseManagerGUI.DbStatus getDatabaseStatus()

      Description copied from interface: `DatabaseManagerGUI`
      Gets the database status, OK indicates database connection was made and database structure has been validated.
      Specified by:
        `getDatabaseStatus` in interface `DatabaseManagerGUI`
      Returns:
        integer

    - #### getStatus

          public int getStatus()

      Description copied from interface: `DatabaseManagerGUI`
      Gets the dialog status constant. OK or CANCEL. indicates the user pressed OK or pressed CANCEL buttons
      Specified by:
        `getStatus` in interface `DatabaseManagerGUI`
      Returns:
        integer

    - #### main

          public static void main(java.lang.String[] args)

      The main method.
      Parameters:
        `args` - the arguments

    - #### getProperties

          public java.util.Properties getProperties()

      Description copied from interface: `DatabaseManagerGUI`
      Obtains the new Hibernate properties to connect to the XBRL Database.
      Specified by:
        `getProperties` in interface `DatabaseManagerGUI`
      Returns:
        Properties

    - #### setProperties

          public void setProperties(java.util.Properties props)

      Description copied from interface: `DatabaseManagerGUI`
      Sets the Hibernate properties for the connection to the database.
      Specified by:
        `setProperties` in interface `DatabaseManagerGUI`
      Parameters:
        `props` - the new properties

    - #### setVisible

          public void setVisible()

      Description copied from interface: `DatabaseManagerGUI`
      Sets the dialog visible and waits for user input. The dialog MUST be modal
      Specified by:
        `setVisible` in interface `DatabaseManagerGUI`

    - #### setDbStatus

          public void setDbStatus(DatabaseManagerBase.DatabaseConfigurationInformationStatus status,
                         boolean databaseAvailable)

      Description copied from interface: `DatabaseManagerGUI`
      Sets the current status of the connection to the database. The GUI should use this information in order to decide how the information is presented to the user and what buttons are enabled and disabled
      Specified by:
        `setDbStatus` in interface `DatabaseManagerGUI`
      Parameters:
        `status` - the status
        `databaseAvailable` - the database available